StatisticTypeEnum (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.azurebfs.enums, enum: StatisticTypeEnum

Package org.apache.hadoop.fs.azurebfs.enums

# Enum Class StatisticTypeEnum

java.lang.Object
java.lang.Enum<StatisticTypeEnum>
org.apache.hadoop.fs.azurebfs.enums.StatisticTypeEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<StatisticTypeEnum>`, `Constable`

public enum StatisticTypeEnum extends Enum<StatisticTypeEnum>
Enum for statistic types.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `TYPE_COUNTER`
  Counter.
  `TYPE_GAUGE`
  Gauge.
  `TYPE_MEAN`
  Mean.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StatisticTypeEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StatisticTypeEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TYPE_COUNTER

    public static final StatisticTypeEnum TYPE_COUNTER
    Counter.

  - ### TYPE_GAUGE

    public static final StatisticTypeEnum TYPE_GAUGE
    Gauge.

  - ### TYPE_MEAN

    public static final StatisticTypeEnum TYPE_MEAN
    Mean.

- ## Method Details

  - ### values

    public static StatisticTypeEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StatisticTypeEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null